POST
/api/public/v1/legal-entities/{legalEntityId}/amendments

File an amendment

File an amendment to request a change to a formed legal entity (e.g. update the registered agent, change the business address, update member information). Amendments are typically processed within 2-4 weeks; additional state filing fees may apply.

Path Parameters

NameTypeRequiredDescription
legalEntityIdstring
Required
Legal entity ID.

Request Body

PropertyTypeDescription
descriptionstringDescribe the change being requested. Minimum 10 characters.
POSTExample request
curl
curl -X POST "https://www.pxb.app/api/public/v1/legal-entities/{legalEntityId}/amendments" \
  -H "X-Organization-Id: your_org_id" \
  -H "X-API-Key: your_api_key" \
  -H "Content-Type: application/json" \
  -d '{
    "description": "Update registered agent to \"Acme Agents LLC, 123 Legal Ave, Wilmington, DE 19801\"."
  }'
200Example response
json
{
  "message": "Amendment filed successfully.",
  "content": {
    "amendment": {
      "id": "lea_xyz",
      "status": "PROCESSING"
    }
  }
}
400Example response
json
{
  "message": "Bad Request",
  "err": "Amendments can only be filed for formed legal entities."
}